Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.config
Class AdvisorEntry

    java.lang.Object
      org.springframework.aop.config.AdvisorEntry

All Implemented Interfaces:
  ParseState.Entry

    public class AdvisorEntry

extends Object
implements ParseState.Entry

`ParseState` entry representing an advisor.

Since:
  2.0
Author:
  Mark Fisher

Constructor Summary
`AdvisorEntry(String name)` Creates a new instance of the `AdvisorEntry` class.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdvisorEntry

    public AdvisorEntry(String name)

  Creates a new instance of the `AdvisorEntry` class.

  Parameters:
    `name` - the bean name of the advisor

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD